#include <iostream>
#include <vector>

using namespace std;
vector<int> srece;
int a(int mucenik) {
    return srece[mucenik-1];
}
int main() {
    ios_base::sync_with_stdio();
    int n, m;
    cin >> n >> m;
    for (int i = 0; i < n; i++) {
        int ulaz;
        cin >> ulaz;
        srece.push_back(ulaz);
    }
    int zbir = 0;
    for (int i = 0; i < m; i++) {
        int c, d;
        cin >> c >> d;
        int neprijatelji = a(c)*-1 + a(d)*-1;
        int prijatelji = a(c) + a(d);
        if (prijatelji > neprijatelji)
            zbir+= prijatelji;
        else
            zbir+= neprijatelji;
    }
    cout << zbir;
    return 0;
}